-- by modelleicher
-- http://schwabenmodding.bplaced.net

Ventilator = {};

function Ventilator.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Ventilator:load(xmlFile)
   self.ventilator = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Ventilator.rotPart#index"));
end;

function Ventilator:delete()
end;

function Ventilator:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Ventilator:keyEvent(unicode, sym, modifier, isDown)
end;

function Ventilator:update(dt)	
	if self.isMotorStarted then	
	   local r = self.motor.lastMotorRpm 
       local rwf = r*0.2;   
	   rotate(self.ventilator, 0, 0, math.abs(rwf));
	else 
       rotate(self.ventilator, 0, 0, 0);
	end;	
end;

function Ventilator:draw()
end;

